using System;
using System.Drawing;
using System.Windows.Forms;

namespace SpecialForm
{

    public class SpecialForm : IDisposable
    {
        private Form SF = new Form();

        public SpecialForm(int Width, int Height, string Image)
        {
            this.SF.StartPosition = FormStartPosition.CenterScreen;
            this.SF.Width = Width;
            this.SF.Height = Height;
            this.SF.BackColor = Color.Black;
            this.SF.TransparencyKey = this.SF.BackColor;
            this.SF.FormBorderStyle = FormBorderStyle.None;
            this.SF.ShowInTaskbar = false;
            this.SF.BackgroundImageLayout = ImageLayout.Center;
        }

        public void Dispose()
        {
            try
            {
                this.SF.Dispose();
            }
            finally
            {
            }
        }

        public void Show()
        {
            this.SF.Show();
        }

        public Control AddControl
        {
            set
            {
                this.SF.Controls.Add(value);
                value.BackColor = Color.Transparent;
            }
        }

        public string Author
        {
            get
            {
                return "Cableguy";
            }
        }

        public bool BringToFront
        {
            set
            {
                this.SF.BringToFront();
            }
        }

        public double DllVersion
        {
            get
            {
                return 1.0;
            }
        }

        public bool Enabled
        {
            get
            {
                return this.SF.Enabled;
            }
            set
            {
                this.SF.Enabled = value;
            }
        }

        public int Height
        {
            get
            {
                return this.SF.Height;
            }
            set
            {
                this.SF.Height = value;
            }
        }

        public string Image
        {
            set
            {
                this.SF.BackgroundImage = new Bitmap(value);
            }
        }

        public virtual ImageLayout StretchMode
        {
            set
            {
                this.SF.BackgroundImageLayout = ImageLayout.Stretch;
            }
        }

        public bool Visible
        {
            get
            {
                return this.SF.Visible;
            }
            set
            {
                this.SF.Visible = value;
            }
        }

        public int Width
        {
            get
            {
                return this.SF.Width;
            }
            set
            {
                this.SF.Width = value;
            }
        }
    }
}
